## nix 2.26.3+dfsg

=== debian/control ===
Source: nix
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jordan Justen <jljusten@debian.org>
Build-Depends: bison,
               ca-certificates,
               cmake,
               curl,
               debhelper-compat (= 13),
               dh-sequence-movetousr,
               flex,
               jq,
               libacl1-dev,
               libarchive-dev,
               libboost-container-dev,
               libboost-context-dev,
               libboost-coroutine-dev,
               libboost-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libbrotli-dev,
               libbsd-dev,
               libbz2-dev,
               libcpuid-dev [amd64 i386],
               libcurl4-gnutls-dev,
               libdbd-sqlite3-perl,
               libgc-dev,
               libgit2-dev (>= 1.9),
               libgmock-dev,
               libgnutls28-dev,
               libgpg-error-dev,
               libgtest-dev,
               libidn2-dev,
               libkrb5-dev,
               libldap2-dev,
               liblowdown-dev,
               liblz4-dev,
               liblzma-dev,
               libnghttp2-dev,
               libnghttp3-dev,
               libngtcp2-crypto-gnutls-dev,
               libngtcp2-dev,
               libpsl-dev,
               libreadline-dev,
               librtmp-dev,
               libseccomp-dev,
               libsodium-dev,
               libsqlite3-dev,
               libssh2-1-dev,
               libssl-dev,
               libtoml11-dev,
               libunistring-dev,
               libwww-curl-perl,
               libxml2-dev,
               libxml2-utils,
               libzstd-dev,
               lowdown,
               meson,
               nettle-dev,
               nlohmann-json3-dev,
               pkgconf,
               rsync,
               zlib1g-dev
Standards-Version: 4.7.2
Homepage: https://nixos.org/nix
Vcs-Browser: https://salsa.debian.org/debian/nix
Vcs-Git: https://salsa.debian.org/debian/nix.git
Rules-Requires-Root: no

Package: nix-bin
Architecture: any
Depends: bash-static,
         bzip2,
         curl,
         libdbd-sqlite3-perl,
         libwww-curl-perl,
         perl,
         xz-utils,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: nix-setup-systemd
Description: Purely functional package manager (binaries)
 A powerful package manager for Linux and other Unix systems that
 makes package management reliable and reproducible. Nix provides
 atomic upgrades and rollbacks, side-by-side installation of multiple
 versions of a package, multi-user package management and easy setup
 of build environments.
 .
 NOTE: This package only provides the nix binaries. One still needs
 to setup directories, environments variables and configuration files
 to use nix as described in the nix manual.
 The package nix-setup-systemd provides such a setup using systemd
 mechanisms, also see /usr/share/doc/nix-bin/README.Debian.

Package: nix-setup-systemd
Architecture: all
Depends: libpam-systemd, nix-bin, ${misc:Depends}
Provides: nix
Description: Purely functional package manager (systemd setup)
 A powerful package manager for Linux and other Unix systems that
 makes package management reliable and reproducible. Nix provides
 atomic upgrades and rollbacks, side-by-side installation of multiple
 versions of a package, multi-user package management and easy setup
 of build environments.
 .
 This package uses systemd mechanisms to setup the nix package
 manager.
 .
 NOTE: This package creates (via tmpfiles.d) a top-level folder /nix.
 This is not compliant with the file hierarchy standard but should not
 be a problem for most people. See /usr/share/doc/nix-bin/README.Debian.
