=== debian/watch ===
version=4
opts=\
searchmode=plain,\
downloadurlmangle=s/archive\/refs\/tags\/v(.*)\.tar\.gz/releases\/download\/v$1\/@PACKAGE@-$1\.tar\.xz/,\
repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repack,compression=xz,\
filenamemangle=s/.+\/(@ANY_VERSION@)/nix-$1\.tar\.gz/ \
https://api.github.com/repos/NixOS/@PACKAGE@/tags \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@
