## nix 2.32.5+dfsg

=== debian/changelog ===
nix (2.32.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for 2.32.5
  * d/control: libblake3 is required since nix 2.27.0
  * d/control: Build-dep, boost 1.88 since nix-2.32.3 needs >= 1.87
  * d/control: Add libboost-iostreams1.88-dev build-dep needed since 2.29.0
  * d/control: Add libboost-url1.88-dev build-dep needed since 2.31.0
  * d/control: Update Standards-Version to 4.7.3

 -- Jordan Justen <jljusten@debian.org>  Tue, 17 Feb 2026 14:05:50 -0800
