=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nix
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jordan Justen <jljusten@debian.org>
+Maintainer: Jordan Justen <jljusten@debian.org>
 Build-Depends: bison,
                ca-certificates,
                cmake,
@@ -13,12 +12,15 @@
                jq,
                libacl1-dev,
                libarchive-dev,
-               libboost-container-dev,
-               libboost-context-dev,
-               libboost-coroutine-dev,
-               libboost-dev,
-               libboost-system-dev,
-               libboost-thread-dev,
+               libblake3-dev (>= 1.8.2),
+               libboost-container1.88-dev,
+               libboost-context1.88-dev,
+               libboost-coroutine1.88-dev,
+               libboost-iostreams1.88-dev,
+               libboost-system1.88-dev,
+               libboost-thread1.88-dev,
+               libboost-url1.88-dev,
+               libboost1.88-dev,
                libbrotli-dev,
                libbsd-dev,
                libbz2-dev,
@@ -62,7 +64,7 @@
                pkgconf,
                rsync,
                zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://nixos.org/nix
 Vcs-Browser: https://salsa.debian.org/debian/nix
 Vcs-Git: https://salsa.debian.org/debian/nix.git
